#!/bin/bash
clear
echo "AnyKey linux installer"
echo "======================"

if ! [ -x "$(command -v wget)" ]; then
  echo "Error wget is not installed. It's needed to fetch your license.json"
  echo "run this first and retry: sudo apt-get install wget"
  exit 1
fi

if [ ! -e "license.json" ]
then
  echo "Enter your activation code:"
  read activation_code

  wget --quiet http://anykey.shop/activate/$activation_code.json
  
  if [ ! -e "$activation_code.json" ]
  then
    echo "Invalid activation code please re-run installer"
    exit 1
  else
    mv $activation_code.json license.json
  fi
fi


if [ -e "license.json" ]
then
  echo "Copying license into /root/.anykey_license/license.json..."
  mkdir -p /root/.anykey_license
  cp license.json /root/.anykey_license/

  echo "Installing anykey_save in /usr/local/bin..."
  cp anykey_save /usr/local/bin

  echo "Installation done! "
  echo ""
  echo "Please add this to your /root/.bashrc:"
  echo "export ANYKEY_LICENSE=/root/.anykey_license/license.json"
  echo ""
  echo "Finally just save a new password to your key with:"
  echo "su root"
  echo "anykey_save -password"
  export ANYKEY_LICENSE=/root/.anykey_license/license.json
else
  echo "Invalid activation code please re-run install"
  exit 1
fi

